Wrong version number?



  • What is this error that pops up in syslog every so often (Looks like about every two hours-ish)?

    Aug 24 08:16:57 sfo lighttpd:  (connections.c.305) SSL: 1 error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number
    Aug 24 08:16:57 sfo lighttpd:  (connections.c.305) SSL: 1 error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number
    Aug 24 10:38:08 sfo lighttpd:  (connections.c.305) SSL: 1 error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number
    Aug 24 10:38:08 sfo lighttpd:  (connections.c.305) SSL: 1 error:1408F10B:SSL routines:SSL3_GET_RECORD:wrong version number

    Is there anything I can actually do about it?



  • Hi,

    Yes, don't worry, we've seen them all.

    You could try "System => Advanced=> Mitigate the BEAST SSL Attack" - but, honestly, I not for sure if it is even related.

    It's a known bug, with one major side effect: it leaves traces in the web server log ….